<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstControlPosition Method (IEdmCard5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCard5 Interface : GetFirstControlPosition Method (IEdmCard5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the controls in this data card.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstControlPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstControlPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstControlPosition();

#### Return Value

IEdmPos5; position of the first control in the list

# Example

Get Card Control Information (VB.NET)
Get Card Control Information (C#)

# Remarks

After calling this method, pass the returned position of the first control to IEdmCard5::GetNextControl to get the first control in the list. Call IEdmCard5::GetNextControl repeatedly to get the rest of the controls in the list.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCard5 Interface
IEdmCard5 Members
IEdmCard5::GetNextControl Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2